com.comtrade.ecm.engine.datatypes

## Class TestDate

- java.lang.Object
- - com.comtrade.ecm.engine.datatypes.TestDate

-     public class TestDate
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestDate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compareToDate()`
    `void` | `compareToDateTime()`
    `void` | `createFromLocalDate()`
    `void` | `createFromLocalDateTime()`
    `void` | `equalsToDate()`
    `void` | `firstDayOfYear()`
    `void` | `isSameDateAs()`
    `void` | `lastDayOfYear()`
    `void` | `testConverions()`
    `void` | `testHashCode()`
    `void` | `testToString()`
    `void` | `testToStringWithDateFormatter()`
    `void` | `testToStringWithLocale()`
    `void` | `testToStringWithString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestDate

          public TestDate()

  - ### Method Detail

    - #### createFromLocalDate

          public void createFromLocalDate()

    - #### createFromLocalDateTime

          public void createFromLocalDateTime()

    - #### firstDayOfYear

          public void firstDayOfYear()

    - #### lastDayOfYear

          public void lastDayOfYear()

    - #### compareToDate

          public void compareToDate()

    - #### compareToDateTime

          public void compareToDateTime()

    - #### equalsToDate

          public void equalsToDate()

    - #### isSameDateAs

          public void isSameDateAs()

    - #### testHashCode

          public void testHashCode()

    - #### testToString

          public void testToString()

    - #### testToStringWithString

          public void testToStringWithString()

    - #### testToStringWithLocale

          public void testToStringWithLocale()

    - #### testToStringWithDateFormatter

          public void testToStringWithDateFormatter()

    - #### testConverions

          public void testConverions()